<?xml version="1.0" encoding="utf-8"?>
<Entity 
Schema="AKUZ" 
Name="RDS_SYNCHRONISATION_ERRORS" 
Description="Ошибки синхронизации с RDS" 
PrimaryKey="RdsSynchronisationErrorsID">
  <Fields>
    <Attribute Name="RdsSynchronisationErrorsID" Index="10970001" Type="guid" Description="Идентификатор" />
    <Attribute Name="ErrorDescription" Index="10970002" Type="text" Description="Описание ошибки" Required="1" />
    <Attribute Name="DateTime" Index="10970003" Type="datetime" DefaultFormat="dd.MM.yyyy HH:mm" Description="Дата и время ошибки" Required="1" />
    <Attribute Name="Content" Index="10970004" Type="text" Description="Содержимое" />
    <Attribute Name="PackageType" Index="10970006" Type="string" Description="Тип пакета" />
    <Attribute Name="ProcessedError" Index="10970008" Type="bool" Description="Обработанная ошибка" Required="1" />
    <Attribute Name="LockResource" Index="10970009" Type="string" Description="Ресурс блокировки" />
    <Attribute Name="ByteContent" Index="10970010" Type="binary" Description="Исходный пакет" />
    <Attribute Name="ContentEncoding" Index="10970011" Type="string" Description="Кодировка" />
    <Attribute Name="ServerName" Index="10970012" Type="string" Description="Сервер - отправитель" />
    <Attribute Name="MessageId" Index="10970013" Type="string" Description="Идентификатор сообщения" />
    <Attribute Name="HasByteContent" Index="10970014" Type="bool" Description="Присутствует исходный пакет" />
    <Parent Name="Users" Index="10970005" Type="AKUZ.USERS" Description="Пользователи системы" />
    <Choice Name="ErrorType" Index="10970007" Description="Тип ошибки" Required="1">
      <Item Name="Ошибка выполнения хранимой процедуры" Index="0" />
      <Item Name="Ошибка отправки в раббит" Index="1" />
      <Item Name="Не задан Код МО" Index="2" />
      <Item Name="Ошибка при обработке пакета" Index="3" />
      <Item Name="Ошибка обработки в RDS" Index="4" />
      <Item Name="Ошибка обработки в ИСЗЛ" Index="5" />
    </Choice>
    <Attribute Name="HasTextContent" Type="bool" Description="Исходный пакет текстом" Required="1" />
    <Attribute Name="CorrelationId" Type="string" Description="Идентификатор корреляции" />
    <Attribute Name="TextContent" Type="text" Description="Содержимое исходного пакета" />
    <Attribute Name="Error" Type="text" Description="Ошибка" Required="1" />
  </Fields>
  <DbMapping>
    <Table name="T_RDS_SYNCHRONISATION_ERRORS">
      <Map Name="RdsSynchronisationErrorsID" Column="RdsSynchronisationErrorsID" />
      <Map Name="ErrorDescription" Column="ErrorDescription" />
      <Map Name="DateTime" Column="DateTime" />
      <Map Name="Content" Column="Contents" />
      <Map Name="PackageType" Column="PackageType" />
      <Map Name="ProcessedError" Column="ProcessedError" />
      <Map Name="LockResource" Column="LockResource" />
      <Map Name="ByteContent" Column="ByteContent" />
      <Map Name="ContentEncoding" Column="ContentEncoding" />
      <Map Name="ServerName" Column="ServerName" />
      <Map Name="MessageId" Column="MessageId" />
      <Map Name="HasByteContent" Column="HasByteContent" IsStored="0" />
      <Map Name="Users" Column="Users" />
      <Map Name="ErrorType" Column="ErrorType" />
      <Map Name="HasTextContent" Column="HasTextContent" IsStored="0" />
      <Map Name="CorrelationId" Column="CorrelationId" />
      <Map Name="TextContent" Column="TextContent" />
      <Map Name="Error" Column="Error" />
    </Table>
  </DbMapping>
</Entity>